GET /api/v1/actions


Returns a list of all available actions that can be used with Zams agents in your organization.

Authentication

Header Value
X-API-Key ********
Agent-ID Required

Example Requests

cURL

curl --location '<https://api.zams.com/api/v1/actions>' \\
--header 'X-API-Key: ********' \\
--header 'Agent-ID: ********'

Python

import requests
import json

def list_actions():
    url = "<https://api.zams.com/api/v1/actions>"
    
    headers = {
        "X-API-Key": "********",
        "Agent-ID": "********"
    }
    
    response = requests.get(url, headers=headers)
    
    if response.status_code == 200:
        return response.json()
    else:
        raise Exception(f"Error: {response.status_code}")

# Example usage
actions = list_actions()
print(actions)

Response Format

Returns an array of action objects with the following structure:

Field Type Description
action_name string Name of the service providing the action
action_id string Unique identifier for the action

Example Response

[
  {
    "Calendar": "c2c4f8a9d6e3b7a1"
  },
  {
    "Gmail": "f7e6d5c4b3a2"
  },
  {
    "Google Sheets": "e5f6g7h8i9j0"
  },
  {
    "Task Manager": "k1l2m3n4o5p6"
  },
  {
    "create_leads.py": "q7r8s9t0u1v2"
  },
  {
    "Notion": "w3x4y5z6a7b8"
  },
  {
    "Outlook": "c9d0e1f2g3h4"
  }
]